Ergebnis 1 bis 2 von 2

Thema: [behoben in 1.5.5e] Fehlermeldung bei Kontoinformationenänderung

  1. #1
    Padawan Anwärter Avatar von Janis
    Registriert seit
    12.01.2017
    Beiträge
    19
    Themen
    7
    DANKE
    6
    Erhaltene Danke: 0

    Standard [behoben in 1.5.5e] Fehlermeldung bei Kontoinformationenänderung

    Hallo webchills,

    habe folgenden reproduzierbaren Fehler in der 1.5.5 gefunden, wobei ich jetzt nicht weiß ob ich das richtige Forum erwischt habe.

    Und zwar, wenn man als Kunde eingeloggt ist und einfach im Menüpunt "Startseite :: Mein Konto :: Mein Konto ändern" von HTML-Mails auf Text-Mails oder umgekehrt wechseln möchte erhält man nach Aktualisierung die Fehlermeldung: "Die angegebenen Emailadressen stimmen nicht überein."

    Keine Ahnung ob das so gewollt ist ...

    LG
    Jan

  2. #2
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.839
    Themen
    94
    DANKE
    3
    Erhaltene Danke: 1.186

    Standard

    Fehler im aktuellen 1.5.5 Download, im SVN bereits behoben

    includes/templates/template_default/templates/tpl_account_edit_default.php
    Es fehlt die Eingabemöglichkeit für die Passwortbestätigung.

    ca, Zeile 52 ändern von:

    Code:
    <label class="inputLabel" for="email-address"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
    <?php echo zen_draw_input_field('email_address', $account->fields['customers_email_address'], 'id="email-address" placeholder="' . ENTRY_EMAIL_ADDRESS_TEXT . '"'. ((int)ENTRY_EMAIL_ADDRESS_MIN_LENGTH > 0 ? ' required' : ''), 'email'); ?>
    <br class="clearBoth" />
    auf

    Code:
    <label class="inputLabel" for="email-address"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
    <?php echo zen_draw_input_field('email_address', $account->fields['customers_email_address'], 'id="email-address" placeholder="' . ENTRY_EMAIL_ADDRESS_TEXT . '"'. ((int)ENTRY_EMAIL_ADDRESS_MIN_LENGTH > 0 ? ' required' : ''), 'email'); ?>
    <br class="clearBoth" />
    <label class="inputLabel" for="email-address-confirm"><?php echo ENTRY_EMAIL_ADDRESS_CONFIRM; ?></label>
    <?php echo zen_draw_input_field('email_address_confirm', $account->fields['customers_email_address'], 'id="email-address-confirm"') . (zen_not_null(ENTRY_EMAIL_ADDRESS_CONFIRM) ? '<span class="alert">' . ENTRY_EMAIL_ADDRESS_TEXT . '</span>': ''); ?>
    <br class="clearBoth" />
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  3. Folgender User sagt Danke zu webchills für den nützlichen Beitrag:

    Janis (23.01.2017)

Ähnliche Themen

  1. (Zen-Cart 1.5.5) [behoben in 1.5.5e] Fehlerhafte Sprachdatei
    Von klartexter im Forum Zen Cart Bug Report
    Antworten: 0
    Letzter Beitrag: 12.03.2017, 10:41
  2. (Zen-Cart 1.5.5) [behoben in 1.5.5e] pdf Rechnung unter PHP 7
    Von bumerang24 im Forum Zen Cart Bug Report
    Antworten: 2
    Letzter Beitrag: 12.10.2016, 06:58
  3. [behoben in 1.5.4] Codeunterschiede Sprachdatei
    Von amatoris im Forum Zen Cart Bug Report
    Antworten: 0
    Letzter Beitrag: 01.05.2015, 15:58
  4. [behoben in 1.5.4] Bug Aktionscoupons - Listenansicht
    Von hartundweich im Forum Zen Cart Bug Report
    Antworten: 0
    Letzter Beitrag: 16.10.2014, 14:51
  5. [solved] Bestell - Fehler Behoben?
    Von afrobay im Forum Zen Cart Bug Report
    Antworten: 5
    Letzter Beitrag: 04.12.2008, 12:09

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.
Die amerikanische Zen-Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. Daher wurde die deutsche Zen-Cart Version nicht nur bloß ins Deutsche übersetzt, sondern auch funktional auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst.

Die amerikanische Version ist extrem abgespeckt und stellt weiterführende Funktionalitäten durch zusätzliche Module bereit, die erst mühsam manuell installiert werden müssen. Zahlreiche häufig genutzte Erweiterungen und eigene Entwicklungen sind in der deutschen Zen Cart Version bereits vorinstalliert.
Die deutsche Zen-Cart Version bietet außerdem einen völlig multilingualen Adminbereich. Weitere für die deutsche Zen Cart Version angepasste Erweiterungen stehen in unserem Downloadbereich zur Verfügung.

Die deutsche Zen Cart Version wird seit 15 Jahren von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.6c deutsch
vom 01.09.2019
[Download]

unterstützen
Unterstütze die Weiterentwicklung der deutschen Zen Cart Version mit einer Spende!

Spende für die Weiterentwicklung der deutschen Zen Cart Version